Create API key
curl --request POST \
--url https://api.lighton.ai/api/v3/keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"scopes": [
{
"workspace_id": 2
}
]
}
'import requests
url = "https://api.lighton.ai/api/v3/keys"
payload = {
"name": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"scopes": [{ "workspace_id": 2 }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
expires_at: '2023-11-07T05:31:56Z',
scopes: [{workspace_id: 2}]
})
};
fetch('https://api.lighton.ai/api/v3/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lighton.ai/api/v3/keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'expires_at' => '2023-11-07T05:31:56Z',
'scopes' => [
[
'workspace_id' => 2
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lighton.ai/api/v3/keys"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"scopes\": [\n {\n \"workspace_id\": 2\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lighton.ai/api/v3/keys")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"scopes\": [\n {\n \"workspace_id\": 2\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lighton.ai/api/v3/keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"scopes\": [\n {\n \"workspace_id\": 2\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"prefix": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"scopes": [
{
"workspace_id": 123,
"workspace_name": "<string>",
"workspace_upload_method": "<string>",
"workspace_datasource_type": "<string>",
"role": "<string>",
"scope_type": "workspace"
}
],
"key": "<string>"
}API Keys
Create API key
Create a new API key for the authenticated user.
The full key value is returned only once in the creation response and cannot be retrieved again afterwards.
expires_at is required:
- A future datetime expires the key at that time.
nullcreates a key that never expires.
Workspace scoping (optional): include scopes — a list of {workspace_id, permission} entries — to restrict the key to those workspaces. Each entry’s permission is one of viewer, editor, or owner, and cannot exceed the role you currently hold on that workspace. Different scopes on the same key can carry different permissions.
POST
/
api
/
v3
/
keys
Create API key
curl --request POST \
--url https://api.lighton.ai/api/v3/keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"scopes": [
{
"workspace_id": 2
}
]
}
'import requests
url = "https://api.lighton.ai/api/v3/keys"
payload = {
"name": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"scopes": [{ "workspace_id": 2 }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
expires_at: '2023-11-07T05:31:56Z',
scopes: [{workspace_id: 2}]
})
};
fetch('https://api.lighton.ai/api/v3/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lighton.ai/api/v3/keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'expires_at' => '2023-11-07T05:31:56Z',
'scopes' => [
[
'workspace_id' => 2
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lighton.ai/api/v3/keys"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"scopes\": [\n {\n \"workspace_id\": 2\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lighton.ai/api/v3/keys")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"scopes\": [\n {\n \"workspace_id\": 2\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lighton.ai/api/v3/keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"scopes\": [\n {\n \"workspace_id\": 2\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"prefix": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"scopes": [
{
"workspace_id": 123,
"workspace_name": "<string>",
"workspace_upload_method": "<string>",
"workspace_datasource_type": "<string>",
"role": "<string>",
"scope_type": "workspace"
}
],
"key": "<string>"
}Authorizations
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Reject any request fields not declared on the serializer.
Response
API key created. The key field contains the full key value — save it now, it will not be shown again.